Summary: A spelling checker.
Name: aspell033
Version: 0.33.7.1
Epoch: 2
Release: 21.8.1
License: LGPL
Group: Applications/Text
URL: http://aspell.sourceforge.net/
Source0: http://download.sourceforge.net/aspell/aspell-.33.7.1.tar.gz
Source1: aspell-init.el
Patch0: aspell-.33-fix2.diff
Patch1: aspell-.33.7.1-workaround.patch
Requires: pspell = 3:0.12.2
#Buildrequires: pspell-devel = 3:0.12.2, gcc-c++
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: ispell

%description
Aspell is a spelling checker designed to eventually replace Ispell.
Aspell's primary advantage (over Ispell) is a greater skill at
suggesting correct spellings. Aspell includes both compile-time and
run-time support for non-English languages and can spellcheck (La)TeX
and HTML files.

This package contains backward compatibility libraries.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n aspell-.33.7.1

%patch0 -p0 -b .fix2
#patch1 -p1 -b .evilworkaround

%build
%configure
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/site-start.d
mkdir -p $RPM_BUILD_ROOT/usr/lib/xemacs/xemacs-packages/lisp/site-start.d
mkdir -p $RPM_BUILD_ROOT/usr/bin

install -m 755 scripts/spell  $RPM_BUILD_ROOT/usr/bin/spell
install -m 755 scripts/ispell $RPM_BUILD_ROOT/usr/bin/ispell
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/site-start.d
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/xemacs/xemacs-packages/lisp/site-start.d

cp -pr $RPM_BUILD_ROOT/usr/doc/aspell .
rm -f aspell/manual.aux

# remove the doc stuff we don't want packaged
rm -rf $RPM_BUILD_ROOT/%{_prefix}/doc

rm -rf $RPM_BUILD_ROOT/usr/{bin,include,share} \
       $RPM_BUILD_ROOT/usr/lib/{aspell,xemacs}
find $RPM_BUILD_ROOT/usr/lib -type l -exec rm -f {} \;

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig
    
%files
%defattr(-,root,root)
%{_libdir}/*
# Yes, they need to be in the main package - they are used for
# dynamic loading. Argh. (lib*.la)

%changelog
* Tue Nov 04 2003 Milan Kerslager <kerslage@linux.cz> 0.33.7.1-21.8.1
- rebuild for RH 8.0

* Fri Oct  3 2003 Milan Kerslager <kerslage@linux.cz>
- initial version
